ru.bitel.bgbilling.server.bean

## Class AbstractAutopaymentManager

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<Autopayment>
  - - ru.bitel.bgbilling.server.bean.AbstractAutopaymentManager

- All Implemented Interfaces:
    java.lang.AutoCloseable
  Direct Known Subclasses:
    AutopaymentManager

      public abstract class AbstractAutopaymentManager
      extends ru.bitel.common.dao.AbstractDao<Autopayment>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAutopaymentManager(java.sql.Connection con, java.lang.String tableNamePrefix, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Autopayment` | `getAutopayment(int id)`
    `Autopayment` | `getCurrentAutopayment(int contractId)`
    `protected Autopayment` | `getFromRS(java.sql.ResultSet rs)`
    `void` | `searchActivateAutopayment(SearchResult<Autopayment> searchResult, java.util.Date date, int mode)`
    `void` | `searchAutopayment(SearchResult<Autopayment> searchResult, int contractId)`
    `void` | `searchCurrentAutopayment(SearchResult<Autopayment> searchResult, java.util.Date date, int mode)` Выбрать подписки которые должны исполниться в указанный день
    `Autopayment` | `updateAutopayment(Autopayment autopayment)`
    `protected void` | `updateImpl(Autopayment autopayment)` Этот метод каждый реализует сам со своей логикой.

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAutopaymentManager

          public AbstractAutopaymentManager(java.sql.Connection con,
                                            java.lang.String tableNamePrefix,
                                            int moduleId)

  - ### Method Detail

    - #### getAutopayment

          public Autopayment getAutopayment(int id)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getCurrentAutopayment

          public Autopayment getCurrentAutopayment(int contractId)
                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(Autopayment autopayment)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Autopayment>`
      Parameters:
        `autopayment` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### updateAutopayment

          public Autopayment updateAutopayment(Autopayment autopayment)
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchAutopayment

          public void searchAutopayment(SearchResult<Autopayment> searchResult,
                                        int contractId)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchActivateAutopayment

          public void searchActivateAutopayment(SearchResult<Autopayment> searchResult,
                                                java.util.Date date,
                                                int mode)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchCurrentAutopayment

          public void searchCurrentAutopayment(SearchResult<Autopayment> searchResult,
                                               java.util.Date date,
                                               int mode)
                                        throws ru.bitel.bgbilling.common.BGException

      Выбрать подписки которые должны исполниться в указанный день
      Parameters:
        `searchResult` -
        `date` -
        `mode` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected Autopayment getFromRS(java.sql.ResultSet rs)
                                   throws java.sql.SQLException,
                                          ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Autopayment>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`